<ActionBar class="action-bar">
    <!-- 
    Use the NavigationButton as a side-drawer button in Android
    because ActionItems are shown on the right side of the ActionBar
    -->
    <NavigationButton ios:visibility="collapsed" icon="res://menu" (tap)="onDrawerButtonTap()"></NavigationButton>
    <!-- 
    Use the ActionItem for IOS with position set to left. Using the
    NavigationButton as a side-drawer button in iOS is not possible,
    because its function is to always navigate back in the application.
    -->
    <ActionItem icon="res://navigation/menu" android:visibility="collapsed" (tap)="onDrawerButtonTap()"
        ios.position="left">
    </ActionItem>
    <Label class="action-bar-title" text="Home"></Label>
</ActionBar>

<GridLayout class="page page-content" rows="auto auto auto auto auto auto auto" columns="50 * 50">

    <Label row="0" colSpan="3" class="h2 p-15" [text]="sliderValue | number:'2.2'" textWrap="true"></Label>
    <Slider row="1" col="1" [value]="sliderValue" (valueChange)="onSliderValueChange($event)" minValue="0" maxValue="100"></Slider>
    <!-- <Slider row="1" col="1" [(ngModel)]="sliderValue" minValue="0" maxValue="100"></Slider> -->

    <ListPicker row="2" colSpan="3" [items]="pokemon" selectedIndex="0" (selectedIndexChange)="onSelectedIndexChanged($event)"></ListPicker>

    <Button row="3" colSpan="3" text="Tap me!" (tap)="onTap($event)"></Button>

    <Progress row="4" colSpan="3"  class="m-20"
            [value]="progressValue" 
            (valueChanged)="onValueChanged($event)" 
            maxValue="100" >
    </Progress>

    <!-- <Button *ngIf="!progressActive" row="5" colSpan="3" text="Start!" (tap)="startProgress($event)"></Button>
    <Button *ngIf="progressActive" row="5" colSpan="3" text="Stop!" (tap)="stopProgress($event)"></Button> -->

    <Switch row="6" col="1" [checked]="progressActive" (checkedChange)="onSwitchChange($event)" class="m-15"></Switch>

</GridLayout>